"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var canvas_plugin_1 = require("../canvas-plugin");
var View_1 = require("react-nativescript/dist/components/View");
var ElementRegistry_1 = require("react-nativescript/dist/client/ElementRegistry");
var elementKey = "tnsCanvas";
ElementRegistry_1.register(elementKey, canvas_plugin_1.TNSCanvas);
var _TNSCanvas = (function (_super) {
    __extends(_TNSCanvas, _super);
    function _TNSCanvas() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    _TNSCanvas.prototype.render = function () {
        var _a = this.props, forwardedRef = _a.forwardedRef, onLoaded = _a.onLoaded, onUnloaded = _a.onUnloaded, onAndroidBackPressed = _a.onAndroidBackPressed, onShowingModally = _a.onShowingModally, onShownModally = _a.onShownModally, onTap = _a.onTap, onDoubleTap = _a.onDoubleTap, onPinch = _a.onPinch, onPan = _a.onPan, onSwipe = _a.onSwipe, onRotation = _a.onRotation, onLongPress = _a.onLongPress, onTouch = _a.onTouch, onPropertyChange = _a.onPropertyChange, children = _a.children, rest = __rest(_a, ["forwardedRef", "onLoaded", "onUnloaded", "onAndroidBackPressed", "onShowingModally", "onShownModally", "onTap", "onDoubleTap", "onPinch", "onPan", "onSwipe", "onRotation", "onLongPress", "onTouch", "onPropertyChange", "children"]);
        return React.createElement(elementKey, __assign({}, rest, { ref: forwardedRef || this.myRef }), children);
    };
    return _TNSCanvas;
}(View_1.RCTView));
exports._TNSCanvas = _TNSCanvas;
exports.$TNSCanvas = React.forwardRef(function (props, ref) {
    var children = props.children, rest = __rest(props, ["children"]);
    return React.createElement(_TNSCanvas, __assign({}, rest, { forwardedRef: ref }), children);
});
//# sourceMappingURL=index.js.map